Package org.eclipse.jdt.ui

# Interface ITypeHierarchyViewPart

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.ui.IPersistable`, `org.eclipse.ui.IViewPart`, `org.eclipse.ui.IWorkbenchPart`

public interface ITypeHierarchyViewPart extends org.eclipse.ui.IViewPart
The standard type hierarchy view presents a type hierarchy for a given input class or interface. Visually, this view consists of a pair of viewers, one showing the type hierarchy, the other showing the members of the type selected in the first.

This interface is not intended to be implemented by clients.

See Also:
  - `JavaUI.ID_TYPE_HIERARCHY`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`HIERARCHY_MODE_CLASSIC`
Constant used for the 'classic' type hierarchy mode.
`static final int`
`HIERARCHY_MODE_SUBTYPES`
Constant used for the sub types hierarchy mode.
`static final int`
`HIERARCHY_MODE_SUPERTYPES`
Constant used for the super types hierarchy mode.
`static final int`
`VIEW_LAYOUT_AUTOMATIC`
Constant used for the automatic view layout.
`static final int`
`VIEW_LAYOUT_HORIZONTAL`
Constant used for the horizontal view layout.
`static final int`
`VIEW_LAYOUT_SINGLE`
Constant used for the single view layout (no members view)
`static final int`
`VIEW_LAYOUT_VERTICAL`
Constant used for the vertical view layout.

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

## Method Summary

Modifier and Type
Method
Description
`int`
`getHierarchyMode()`
Returns the currently configured hierarchy mode.
`IType`
`getInput()`
Deprecated.
use getInputElement instead
`IJavaElement`
`getInputElement()`
Returns the input element of this type hierarchy view.
`int`
`getViewLayout()`
Returns the currently configured view layout.
`boolean`
`isLinkingEnabled()`
Returns whether this type hierarchy view's selection automatically tracks the active editor.
`boolean`
`isQualifiedTypeNamesEnabled()`
If set, type names are shown with the parent container's name.
`boolean`
`isShowMembersInHierarchy()`
If set, the lock mode is enabled.
`void`
`setHierarchyMode(int mode)`
Sets the hierarchy mode.
`void`
`setInput(IType type)`
Deprecated.
use setInputElement instead
`void`
`setInputElement(IJavaElement element)`
Sets the input element of this type hierarchy view.
`void`
`setLinkingEnabled(boolean enabled)`
Sets whether this type hierarchy view's selection automatically tracks the active editor.
`void`
`setViewLayout(int layout)`
Sets the view layout.
`void`
`showMembersInHierarchy(boolean enabled)`
Locks the the members view and shows the selected members in the hierarchy.
`void`
`showQualifiedTypeNames(boolean enabled)`
Specifies if type names are shown with the parent container's name.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ui.IViewPart

`getViewSite, init, init, saveState`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

## Field Details

### VIEW_LAYOUT_VERTICAL

static final int VIEW_LAYOUT_VERTICAL
Constant used for the vertical view layout.

Since:
  3.3
See Also:
  - Constant Field Values

### VIEW_LAYOUT_HORIZONTAL

static final int VIEW_LAYOUT_HORIZONTAL
Constant used for the horizontal view layout.

Since:
  3.3
See Also:
  - Constant Field Values

### VIEW_LAYOUT_SINGLE

static final int VIEW_LAYOUT_SINGLE
Constant used for the single view layout (no members view)

Since:
  3.3
See Also:
  - Constant Field Values

### VIEW_LAYOUT_AUTOMATIC

static final int VIEW_LAYOUT_AUTOMATIC
Constant used for the automatic view layout.

Since:
  3.3
See Also:
  - Constant Field Values

### HIERARCHY_MODE_CLASSIC

static final int HIERARCHY_MODE_CLASSIC
Constant used for the 'classic' type hierarchy mode.

Since:
  3.3
See Also:
  - Constant Field Values

### HIERARCHY_MODE_SUPERTYPES

static final int HIERARCHY_MODE_SUPERTYPES
Constant used for the super types hierarchy mode.

Since:
  3.3
See Also:
  - Constant Field Values

### HIERARCHY_MODE_SUBTYPES

static final int HIERARCHY_MODE_SUBTYPES
Constant used for the sub types hierarchy mode.

Since:
  3.3
See Also:
  - Constant Field Values

## Method Details

### setInput

@Deprecated void setInput(IType type)
Deprecated.
use setInputElement instead
Sets the input element of this type hierarchy view to a type.

Parameters:
  `type` - the input element of this type hierarchy view, or `null` to clear any input element

### setInputElement

void setInputElement(IJavaElement element)
Sets the input element of this type hierarchy view. The following input types are possible `IMember` (types, methods, fields..), `IPackageFragment`, `IPackageFragmentRoot` and `IJavaProject`.

Parameters:
  `element` - the input element of this type hierarchy view, or `null` to clear any input
Since:
  2.0

### getInput

@Deprecated IType getInput()
Deprecated.
use getInputElement instead
Returns the input element of this type hierarchy view.

Returns:
  the input element, or `null` if no input element is set
See Also:
  - `setInput(IType)`

### getInputElement

IJavaElement getInputElement()
Returns the input element of this type hierarchy view.

Returns:
  the input element, or `null` if no input element is set
Since:
  2.0
See Also:
  - `setInputElement(IJavaElement)`

### showMembersInHierarchy

void showMembersInHierarchy(boolean enabled)
Locks the the members view and shows the selected members in the hierarchy.

Parameters:
  `enabled` - If set, the members view will be locked and the selected members are shown in the hierarchy.
Since:
  3.3

### isShowMembersInHierarchy

boolean isShowMembersInHierarchy()
If set, the lock mode is enabled.

Returns:
  returns if the lock mode is enabled.
Since:
  3.3

### showQualifiedTypeNames

void showQualifiedTypeNames(boolean enabled)
Specifies if type names are shown with the parent container's name.

Parameters:
  `enabled` - if enabled, the hierarchy will also show the type container names
Since:
  3.3

### isQualifiedTypeNamesEnabled

boolean isQualifiedTypeNamesEnabled()
If set, type names are shown with the parent container's name.

Returns:
  returns if type names are shown with the parent container's name.
Since:
  3.3

### isLinkingEnabled

boolean isLinkingEnabled()
Returns whether this type hierarchy view's selection automatically tracks the active editor.

Returns:
  `true` if linking is enabled, `false` if not
Since:
  3.3

### setLinkingEnabled

void setLinkingEnabled(boolean enabled)
Sets whether this type hierarchy view's selection automatically tracks the active editor.

Parameters:
  `enabled` - `true` to enable, `false` to disable
Since:
  3.3

### setViewLayout

void setViewLayout(int layout)
Sets the view layout. Valid inputs are `VIEW_LAYOUT_VERTICAL`, `VIEW_LAYOUT_HORIZONTAL` `VIEW_LAYOUT_SINGLE` and `VIEW_LAYOUT_AUTOMATIC`.

Parameters:
  `layout` - The layout to set
Since:
  3.3

### getViewLayout

int getViewLayout()
Returns the currently configured view layout. Possible layouts are `VIEW_LAYOUT_VERTICAL`, `VIEW_LAYOUT_HORIZONTAL` `VIEW_LAYOUT_SINGLE` and `VIEW_LAYOUT_AUTOMATIC` but clients should also be able to handle yet unknown layout.

Returns:
  The layout currently set
Since:
  3.3

### setHierarchyMode

void setHierarchyMode(int mode)
Sets the hierarchy mode. Valid modes are `HIERARCHY_MODE_SUBTYPES`, `HIERARCHY_MODE_SUPERTYPES` and `HIERARCHY_MODE_CLASSIC`.

Parameters:
  `mode` - The hierarchy mode to set
Since:
  3.3

### getHierarchyMode

int getHierarchyMode()
Returns the currently configured hierarchy mode. Possible modes are `HIERARCHY_MODE_SUBTYPES`, `HIERARCHY_MODE_SUPERTYPES` and `HIERARCHY_MODE_CLASSIC` but clients should also be able to handle yet unknown modes.

Returns:
  The hierarchy mode currently set
Since:
  3.3